Browse files

updated gemspec

  • Loading branch information...
1 parent 6798ff4 commit d12fca14cc2248b78b99460d0752732f84a42c8f @johnny committed Mar 5, 2012
Showing with 16 additions and 17 deletions.
  1. +6 −6 Rakefile
  2. +10 −11 dm-paperclip.gemspec
View
12 Rakefile
@@ -1,7 +1,7 @@
require 'rake'
require 'rake/testtask'
-require 'rake/rdoctask'
-require 'rake/gempackagetask'
+require 'rdoc/task'
+require 'rubygems/package_task'
$LOAD_PATH << File.join(File.dirname(__FILE__), 'lib')
require 'dm-core'
@@ -55,9 +55,9 @@ end
spec = Gem::Specification.new do |s|
s.name = "dm-paperclip"
s.version = Paperclip::VERSION
- s.author = "Ken Robertson"
- s.email = "ken@invalidlogic.com"
- s.homepage = "http://invalidlogic.com/dm-paperclip/"
+ s.author = "Jonas von Andrian"
+ s.email = "jvadev@gmail.com"
+ s.homepage = "https://github.com/johnny/dm-paperclip"
s.platform = Gem::Platform::RUBY
s.summary = "File attachments as attributes for DataMapper, based on the original Paperclip by Jon Yurek at Thoughtbot"
s.files = FileList["README.rdoc",
@@ -76,7 +76,7 @@ spec = Gem::Specification.new do |s|
s.requirements << "dm-validations"
end
-Rake::GemPackageTask.new(spec) do |pkg|
+Gem::PackageTask.new(spec) do |pkg|
pkg.need_tar = true
end
View
21 dm-paperclip.gemspec
@@ -1,25 +1,24 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{dm-paperclip}
- s.version = "2.4.2"
+ s.name = "dm-paperclip"
+ s.version = "2.4.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Ken Robertson"]
- s.date = %q{2010-10-12}
- s.email = %q{ken@invalidlogic.com}
+ s.authors = ["Jonas von Andrian"]
+ s.date = "2012-03-05"
+ s.email = "jvadev@gmail.com"
s.extra_rdoc_files = ["README.rdoc"]
- s.files = ["README.rdoc", "LICENSE", "Rakefile", "init.rb", "lib/dm-paperclip.rb", "lib/dm-paperclip", "lib/dm-paperclip/validations.rb", "lib/dm-paperclip/geometry.rb", "lib/dm-paperclip/storage", "lib/dm-paperclip/storage/s3.rb", "lib/dm-paperclip/storage/filesystem.rb", "lib/dm-paperclip/storage/s3", "lib/dm-paperclip/storage/s3/aws_library.rb", "lib/dm-paperclip/storage/s3/aws_s3_library.rb", "lib/dm-paperclip/iostream.rb", "lib/dm-paperclip/storage.rb", "lib/dm-paperclip/thumbnail.rb", "lib/dm-paperclip/attachment.rb", "lib/dm-paperclip/upfile.rb", "lib/dm-paperclip/callback_compatability.rb", "lib/dm-paperclip/processor.rb", "lib/dm-paperclip/interpolations.rb", "tasks/paperclip_tasks.rake", "test/paperclip_test.rb", "test/attachment_test.rb", "test/geometry_test.rb", "test/integration_test.rb", "test/iostream_test.rb", "test/fixtures", "test/fixtures/5k.png", "test/fixtures/bad.png", "test/fixtures/s3.yml", "test/fixtures/50x50.png", "test/fixtures/text.txt", "test/fixtures/12k.png", "test/storage_test.rb", "test/helper.rb", "test/thumbnail_test.rb"]
- s.homepage = %q{http://invalidlogic.com/dm-paperclip/}
+ s.files = ["README.rdoc", "LICENSE", "Rakefile", "init.rb", "lib/dm-paperclip.rb", "lib/dm-paperclip", "lib/dm-paperclip/callback_compatability.rb", "lib/dm-paperclip/thumbnail.rb", "lib/dm-paperclip/storage", "lib/dm-paperclip/storage/s3", "lib/dm-paperclip/storage/s3/aws_s3_library.rb", "lib/dm-paperclip/storage/s3/aws_library.rb", "lib/dm-paperclip/storage/filesystem.rb", "lib/dm-paperclip/storage/s3.rb", "lib/dm-paperclip/processor.rb", "lib/dm-paperclip/geometry.rb", "lib/dm-paperclip/validations.rb", "lib/dm-paperclip/storage.rb", "lib/dm-paperclip/iostream.rb", "lib/dm-paperclip/attachment.rb", "lib/dm-paperclip/upfile.rb", "lib/dm-paperclip/interpolations.rb", "tasks/paperclip_tasks.rake", "test/fixtures", "test/fixtures/bad.png", "test/fixtures/5k.png", "test/fixtures/12k.png", "test/fixtures/text.txt", "test/fixtures/50x50.png", "test/fixtures/s3.yml", "test/thumbnail_test.rb", "test/paperclip_test.rb", "test/iostream_test.rb", "test/helper.rb", "test/integration_test.rb", "test/storage_test.rb", "test/geometry_test.rb", "test/attachment_test.rb"]
+ s.homepage = "https://github.com/johnny/dm-paperclip"
s.rdoc_options = ["--line-numbers", "--inline-source"]
s.require_paths = ["lib"]
s.requirements = ["ImageMagick", "dm-core", "dm-validations"]
- s.rubyforge_project = %q{dm-paperclip}
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{File attachments as attributes for DataMapper, based on the original Paperclip by Jon Yurek at Thoughtbot}
+ s.rubyforge_project = "dm-paperclip"
+ s.rubygems_version = "1.8.17"
+ s.summary = "File attachments as attributes for DataMapper, based on the original Paperclip by Jon Yurek at Thoughtbot"
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then

0 comments on commit d12fca1

Please sign in to comment.